"use strict";

let littleEndian = true;
(()=>{
    let buf = new ArrayBuffer(4);
    let buf8 = new Uint8ClampedArray(buf);
    let data = new Uint32Array(buf);
    data[0] = 0xdeadbeef;
    if(buf8[0] === 0xde){
	littleEndian = false;
    }
})()

export default class Endian {
    static isLittleEndian() {
        return littleEndian;
    }
}
